#!/usr/bin/env bash

trimUser(){
  if [ ${#1} -gt 16 ]; then
    usr=$1
    while [[ ($usr == *"-"*) && (${#usr} -gt 16) ]]; do
      ## crop off prefix at left-hand hyphens
      usr=${usr#*-}
    done
    if [ ${#usr} -gt 16 ]; then
      ## nothing logical left to crop; just
      ##  grab the first 16 chars of what's left
      echo ${usr::16}
    else
      echo $usr
    fi
    sleep 1
  else
    echo $1
  fi
}