# # https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elasticsearch_domain#attributes-reference
# # Only one missing is kibana_endpoint - which shouldn't be needed.

output "arn" {
  value = aws_elasticsearch_domain.cluster.arn
}

output "domainId" {
  value = aws_elasticsearch_domain.cluster.domain_id
}

output "domainName" {
  value = aws_elasticsearch_domain.cluster.domain_name
}

output "endpoint" {
  value = aws_elasticsearch_domain.cluster.endpoint
}
